
public class Class225_Sub27 extends Class225 {

   public long aLong8632;
   public static int anInt8633;


   public Class225_Sub27(long var1) {
      this.aLong8632 = -77815730348248461L * var1;
   }

   static void method13968(Class545 var0, byte[][][] var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8, int var9, int var10, int var11, byte var12) {
      if(var9 != 0 && 0 != var2) {
         if(9 == var9) {
            var9 = 1;
            var10 = 1 + var10 & 3;
         }

         if(var9 == 10) {
            var9 = 1;
            var10 = var10 + 3 & 3;
         }

         if(var9 == 11) {
            var9 = 8;
            var10 = 3 + var10 & 3;
         }

         var0.N(var3, var4, var7, var8, var5, var6, var1[var9 - 1][var10], var2, var11);
      }
   }

   static final void method13969(Class508 var0, byte var1) throws Exception_Sub4 {
      var0.anInt6003 -= 196624946;
      int var2 = var0.anIntArray6027[-937710807 * var0.anInt6003];
      int var3 = var0.anIntArray6027[1 + -937710807 * var0.anInt6003];
      Class326 var4 = Class326.method5868((float)var2, (float)var2, (float)var2);
      if(var4.aFloat4036 == -1.0F) {
         var4.aFloat4036 = Float.POSITIVE_INFINITY;
      }

      if(-1.0F == var4.aFloat4037) {
         var4.aFloat4037 = Float.POSITIVE_INFINITY;
      }

      if(var4.aFloat4033 == -1.0F) {
         var4.aFloat4033 = Float.POSITIVE_INFINITY;
      }

      Class336.aClass35_Sub1_4206.method1014(var4, (byte)112);
      Class336.aClass35_Sub1_4206.method890((float)var3 / 1000.0F, (byte)-11);
      var4.method5948();
   }
}
